Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.util
Class DefaultConfiguration

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  org.jfree.util.DefaultConfiguration

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>, org.jfree.base.config.ModifiableConfiguration, Configuration

    public class DefaultConfiguration

extends java.util.Properties
implements org.jfree.base.config.ModifiableConfiguration

Default configuration.

Author:
  Thomas Morgner.
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`DefaultConfiguration()` Creates an empty property list with no default values.

Method Summary
`java.util.Iterator` | `findPropertyKeys(java.lang.String prefix)` Searches all property keys that start with a given prefix.
`java.util.Enumeration` | `getConfigProperties()` Returns an enumeration of the property keys.
`java.lang.String` | `getConfigProperty(java.lang.String key)` Returns the configuration property with the specified key.
`java.lang.String` | `getConfigProperty(java.lang.String key, java.lang.String defaultValue)` Returns the configuration property with the specified key (or the specified default value if there is no such property).
`void` | `setConfigProperty(java.lang.String key, java.lang.String value)` Sets the value of a configuration property.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jfree.util.Configuration
`clone`

Constructor Detail

### DefaultConfiguration

    public DefaultConfiguration()

  Creates an empty property list with no default values.

Method Detail

### getConfigProperty

    public java.lang.String getConfigProperty(java.lang.String key)

  Returns the configuration property with the specified key.

  Specified by:
    `getConfigProperty` in interface `Configuration`
  Parameters:
    `key` - the property key.
  Returns:
    the property value.

### getConfigProperty

    public java.lang.String getConfigProperty(java.lang.String key,
                                              java.lang.String defaultValue)

  Returns the configuration property with the specified key (or the specified default value if there is no such property).

  If the property is not defined in this configuration, the code will lookup the property in the parent configuration.

  Specified by:
    `getConfigProperty` in interface `Configuration`
  Parameters:
    `key` - the property key.
    `defaultValue` - the default value.
  Returns:
    the property value.

### findPropertyKeys

    public java.util.Iterator findPropertyKeys(java.lang.String prefix)

  Searches all property keys that start with a given prefix.

  Specified by:
    `findPropertyKeys` in interface `org.jfree.base.config.ModifiableConfiguration`
  Specified by:
    `findPropertyKeys` in interface `Configuration`
  Parameters:
    `prefix` - the prefix that all selected property keys should share
  Returns:
    the properties as iterator.

### getConfigProperties

    public java.util.Enumeration getConfigProperties()

  Returns an enumeration of the property keys.

  Specified by:
    `getConfigProperties` in interface `org.jfree.base.config.ModifiableConfiguration`
  Specified by:
    `getConfigProperties` in interface `Configuration`
  Returns:
    An enumeration of the property keys.

### setConfigProperty

    public void setConfigProperty(java.lang.String key,
                                  java.lang.String value)

  Sets the value of a configuration property.

  Specified by:
    `setConfigProperty` in interface `org.jfree.base.config.ModifiableConfiguration`
  Parameters:
    `key` - the property key.
    `value` - the property value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD